use ExtUtils::MakeMaker;

$xmlparser_version = 2.30;
$xmllibxml_version = 1.52;

%req_modules = ( 'Test::More' => '0.40' );

print "I need a XML Back-end (XML::Parser $xmlparser_version or XML::LibXML $xmllibxml_version\n";
do {
  print "Sorry, I didn't understand the answer.\n" if ($answer);
  print "Should I use 'XML::Parser' or 'XML::LibXML'? [XML::LibXML] ";
  $XML = undef;
  $answer = <>;
  print "\n";
  if ($answer =~ /^XML::Parser$/i) {
    $XML = 'XML::Parser';
    %req_modules = (%req_modules, $XML => $xmlparser_version);
  } elsif ($answer =~ /^$/ || $answer =~ /^XML::LibXML$/i) {
    $XML = 'XML::LibXML';
    %req_modules = (%req_modules, $XML => $xmllibxml_version);
  }
} while (not defined($XML));

my $pattern = uc($XML);

WriteMakefile(
	      'NAME'         => 'XML::DT',
	      'VERSION_FROM' => 'DT.pm',
	      'EXE_FILES'    => [ "mkdtskel", "mkdtdskel" ],
	      'PM_FILTER'    => "perl -e \\\"while(<>) { s/\\#$pattern\\#//; print}\\\"",
	      'PREREQ_PM'    => \%req_modules,
);



